# class Tk::BLT::Tabnotebook

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get_id(index)
Alias for: get_tab
get_tab(index) click to toggle source

    # File lib/tkextlib/blt/tabnotebook.rb, line 78
    def get_tab(index)
      if (idx = tk_send_without_enc('id', tagindex(index))).empty?
        nil
      else
        Tk::BLT::Tabset::Tab.id2obj(self, idx)
      end
    end

Also aliased as: get_id
get_tabobj(index) click to toggle source

    # File lib/tkextlib/blt/tabnotebook.rb, line 87
    def get_tabobj(index)
      if (idx = tk_send_without_enc('id', tagindex(index))).empty?
        nil
      else
        Tk::BLT::Tabnotebook::Tab.new(self, nil, idx)
      end
    end

insert(pos=nil, keys={}) click to toggle source

    # File lib/tkextlib/blt/tabnotebook.rb, line 97
    def insert(pos=nil, keys={})
      if pos.kind_of?(Hash)
        keys = pos
        pos = nil
      end
      pos = 'end' if pos.nil?
      Tk::BLT::Tabnotebook::Tab.new(self, nil,
                                    tk_send('insert', tagindex(pos), keys))

    end